Defines | Functions | Variables

# lua/lobject.c File Reference

`#include <ctype.h>`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "lua.h"`
`#include "ldo.h"`
`#include "lmem.h"`
`#include "lobject.h"`
`#include "lstate.h"`
`#include "lstring.h"`
`#include "lvm.h"`
Include dependency graph for lobject.c:

Go to the source code of this file.

## Defines
#define | lobject_c
#define | LUA_CORE
## Functions
int | luaO_int2fb (unsigned int x)
int | luaO_fb2int (int x)
int | luaO_log2 (unsigned int x)
int | luaO_rawequalObj (const TValue *t1, const TValue *t2)
int | luaO_str2d (const char *s, lua_Number *result)
static void | pushstr (lua_State *L, const char *str)
const char * | luaO_pushvfstring (lua_State *L, const char *fmt, va_list argp)
const char * | luaO_pushfstring (lua_State *L, const char *fmt,...)
void | luaO_chunkid (char *out, const char *source, size_t bufflen)
## Variables
const TValue | luaO_nilobject_ = {{NULL}, LUA_TNIL}

## Define Documentation

#define lobject_c

Definition at line 13 of file lobject.c.

#define LUA_CORE

Definition at line 14 of file lobject.c.

## Function Documentation

void luaO_chunkid | ( | char * | out,
|  | const char * | source,
|  | size_t | bufflen
| ) |  |

Definition at line 182 of file lobject.c.

Referenced by addinfo(), funcinfo(), info_tailcall(), and luaX_lexerror().

int luaO_fb2int | ( | int | x ) |

Definition at line 47 of file lobject.c.

Referenced by luaV_execute().

int luaO_int2fb | ( | unsigned int | x ) |

Definition at line 35 of file lobject.c.

References cast_int.

Referenced by constructor().

int luaO_log2 | ( | unsigned int | x ) |

Definition at line 54 of file lobject.c.

const char* luaO_pushfstring | ( | lua_State * | L,
|  | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 172 of file lobject.c.

References luaO_pushvfstring().

Referenced by addinfo(), check_match(), error(), error_expected(), errorlimit(), luaX_lexerror(), and luaX_token2str().

const char* luaO_pushvfstring | ( | lua_State * | L,
|  | const char * | fmt,
|  | va_list | argp
| ) |  |

Definition at line 111 of file lobject.c.

References lua_State::base, cast, cast_int, cast_num, incr_top, luaS_newlstr(), luaV_concat(), pushstr(), setnvalue, setsvalue2s, svalue, and lua_State::top.

Referenced by lua_pushfstring(), lua_pushvfstring(), luaG_runerror(), and luaO_pushfstring().

int luaO_rawequalObj | ( | const TValue * | t1,
|  | const TValue * | t2
| ) |  |

Definition at line 72 of file lobject.c.

References bvalue, gcvalue, iscollectable, lua_assert, nvalue, pvalue, and ttype.

Referenced by addk(), call_orderTM(), findindex(), get_compTM(), lua_rawequal(), and luaH_get().

int luaO_str2d | ( | const char * | s,
|  | lua_Number * | result
| ) |  |

Definition at line 90 of file lobject.c.

References cast, and cast_num.

Referenced by luaV_tonumber(), read_numeral(), and trydecpoint().

static void pushstr | ( | lua_State * | L,
|  | const char * | str
| ) |  | `[static]`

Definition at line 104 of file lobject.c.

References incr_top, luaS_new, setsvalue2s, and lua_State::top.

Referenced by luaO_pushvfstring().

## Variable Documentation

const TValue luaO_nilobject_ = {{NULL}, LUA_TNIL}

Definition at line 27 of file lobject.c.